;nyquist plug-in
;version 3
;type process
;name "Tone and Volume..."
;action "Processing..."
;info "By Steve Daulton. http://audacity.easyspacepro.com\nReleased under GPL v2\n"

;; By Steve Daulton. Dec. 2009.
;; Released under terms of the GNU General Public License version 2 
;; http://www.opensource.org/licenses/gpl-license.php

;control tone "Bass <<" real ">> Treble" 0 -100 100
;control vol "Quiet <<" real ">> Loud" 0 -100 100


;; Sanitize user input
(defun sanitize (var minval maxval)
   (if  (> var maxval) maxval
      (if (< var minval) minval var)))

(setq vol (+ 1.0 (* 0.005 (sanitize vol -100 100))))
(setq treble (* 0.075 (sanitize tone -100 100)))
(setq bass (* -1 treble))


(defun filter (s-in treb bass)
   (eq-lowshelf 
      (eq-highshelf s-in 2000 treb 0.5)
   600 bass 0.5))

(mult vol (multichan-expand #'filter s treble bass))